// $Id: quickfile-overlay.js,v 1.3 2004/10/10 12:16:35 Paul Tomlin Exp $

//
//	initQuickFile
//	Called when Thunderbird loads the extension
//
function initQuickFile ()
{
	var prefs = qfGetPrefs();
	
	if (prefs.shortcut)
	{
		// get a handle on the key XUL element
		var shortcut = document.getElementById('key_quickfile');
		
		if (prefs.shortcut.key)
		{
			shortcut.setAttribute('key', prefs.shortcut.key);
		}
		
		if (prefs.shortcut.modifiers)
		{
			shortcut.setAttribute('modifiers', prefs.shortcut.modifiers);
		}
	}
}

// init when the window loads
window.addEventListener("load", initQuickFile, false);

//
//	launchQuickFile
//	Called when the user hits the shortcut or menu item
//
function launchQuickFile()
{
	window.openDialog('chrome://quickfile/content/quickfile.xul', 'quickfile-window', 'chrome,resizable,centerscreen,modal');
}

